Create Backup
API server
https://app.coolify.io/api/v1Create a new scheduled backup configuration for a database
Authorization
bearerAuth Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
UUID of the database.
Request Body
application/json
Backup configuration data
TypeScript Definitions
Use the request body type in TypeScript.
Backup frequency (cron expression or: every_minute, hourly, daily, weekly, monthly, yearly)
Whether the backup is enabled
trueWhether to save backups to S3
falseDelete the local backup file after the upload to S3. Only allowed when save_s3 is true.
falsePrimary S3 storage UUID. Sent without s3_storage_uuids, it selects this storage as the only destination. Either field is required if save_s3 is true.
UUIDs of every S3 storage the backup is uploaded to. Replaces the current destinations. When s3_storage_uuid is also sent, it must be in this list and becomes the primary destination; otherwise the first entry is the primary destination.
Comma separated list of databases to backup
Whether to dump all databases
falseWhether to trigger backup immediately after creation. Needs a token with the deploy permission.
Number of backups to retain locally
Number of days to retain backups locally
Max storage (GB) for local backups
Number of backups to retain in S3
Number of days to retain backups in S3
Max storage (GB) for S3 backups
Backup job timeout in seconds (min: 60, max: 36000)
3600Alert after this many days without an execution; 0 disables alerts
00 <= value <= 365Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/databases/string/backups" \ -H "Content-Type: application/json" \ -d '{ "frequency": "string" }'{ "uuid": "550e8400-e29b-41d4-a716-446655440000", "message": "Backup configuration created successfully."}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}